#include "MyGroupBox.h"
#include <QStylePainter>
#include <QStyleOptionViewItemV3>

MyGroupBox::MyGroupBox(QWidget *parent)
	: QGroupBox(parent)
{
	setStyle(&style_);
	style_.setHeaderHeight(32);
}

MyGroupBox::~MyGroupBox()
{

}

void MyGroupBox::paintEvent(QPaintEvent *)
{
	QStylePainter pr(this);

	QStyleOptionGroupBox box;
	initStyleOption(&box);
	QRect r = style()->subControlRect(QStyle::CC_GroupBox, &box, QStyle::SC_GroupBoxContents, this);
	int header_height = r.y();

	pr.setRenderHint(QPainter::Antialiasing);
	QColor bgcolor(0xc0, 0xc0, 0xc0);
	{ // draw frame
		QRectF rc(0, 0, width(), height());
		rc.adjust(1, 1, -1, -1);
		pr.setPen(QPen(bgcolor, 2));
		pr.drawRoundedRect(rc, 4, 4);
	}
	{
		QRectF rc(0, 0, width(), header_height);
		rc.adjust(1, 1, -1, 0);
		pr.fillRect(rc, bgcolor);
	}

	{ // draw text
		QRect r(0, 0, width() - 2, header_height);
		QFont f = font();
		pr.setFont(f);
		pr.setPen(Qt::black);
		QTextOption opt;
		opt.setAlignment(Qt::AlignCenter);
		pr.drawText(r, this->title(), opt);
	}
}


