#ifndef MYGROUPBOX_H
#define MYGROUPBOX_H

#include <QGroupBox>
#include <QProxyStyle>

class MyGroupBoxStyle : public QProxyStyle {
private:
	int header_height;
public:
	MyGroupBoxStyle()
		: header_height(-1)
	{
	}

	QRect subControlRect(ComplexControl cc, const QStyleOptionComplex *opt, SubControl sc, const QWidget *widget) const
	{
		if (cc == QStyle::CC_GroupBox) {
			if (header_height >= 0) {
				QRect r = QProxyStyle::subControlRect(cc, opt, sc, widget);
				r.setY(header_height);
				return r;
			}
		}
		return QProxyStyle::subControlRect(cc, opt, sc, widget);
	}

	void setHeaderHeight(int h)
	{
		header_height = h;
	}
};


class MyGroupBox : public QGroupBox
{
	Q_OBJECT
private:
	MyGroupBoxStyle style_;
public:
	explicit MyGroupBox(QWidget *parent = 0);
	~MyGroupBox();

	void paintEvent(QPaintEvent *);

signals:

public slots:
};

#endif // MYGROUPBOX_H
